/* Generated from Extensions for empathy



 */

#ifdef __cplusplus
extern "C" {
#endif

/**
 *
EmpDebugLevel:
 * @EMP_DEBUG_LEVEL_ERROR: <![CDATA[           Log level for errors. Error messages are always fatal, resulting           in the service terminating after something completely           unexpected occurred.         ]]>
 * @EMP_DEBUG_LEVEL_CRITICAL: <![CDATA[           Log level for critical messages. Critical messages are messages           that the service might predict and it is up to the service itself           to decide whether to terminate following a critical message.         ]]>
 * @EMP_DEBUG_LEVEL_WARNING: <![CDATA[           Log level for warnings.         ]]>
 * @EMP_DEBUG_LEVEL_MESSAGE: <![CDATA[           Log level for messages.         ]]>
 * @EMP_DEBUG_LEVEL_INFO: <![CDATA[           Log level for information messages.         ]]>
 * @EMP_DEBUG_LEVEL_DEBUG: <![CDATA[           Log level for debug messages.         ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    EMP_DEBUG_LEVEL_ERROR = 0,
    EMP_DEBUG_LEVEL_CRITICAL = 1,
    EMP_DEBUG_LEVEL_WARNING = 2,
    EMP_DEBUG_LEVEL_MESSAGE = 3,
    EMP_DEBUG_LEVEL_INFO = 4,
    EMP_DEBUG_LEVEL_DEBUG = 5,
} EmpDebugLevel;

/**
 * NUM_EMP_DEBUG_LEVELS:
 *
 * 1 higher than the highest valid value of #EmpDebugLevel.
 */
#define NUM_EMP_DEBUG_LEVELS (5+1)

/**
 *
EmpTLSCertificateState:
 * @EMP_TLS_CERTIFICATE_STATE_PENDING: <![CDATA[           The certificate is currently waiting to be accepted or rejected.         ]]>
 * @EMP_TLS_CERTIFICATE_STATE_ACCEPTED: <![CDATA[           The certificate has been verified.         ]]>
 * @EMP_TLS_CERTIFICATE_STATE_REJECTED: <![CDATA[           The certificate has been rejected.         ]]>
 *
 * <![CDATA[         The possible states for a TLSCertificate         object.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    EMP_TLS_CERTIFICATE_STATE_PENDING = 0,
    EMP_TLS_CERTIFICATE_STATE_ACCEPTED = 1,
    EMP_TLS_CERTIFICATE_STATE_REJECTED = 2,
} EmpTLSCertificateState;

/**
 * NUM_EMP_TLS_CERTIFICATE_STATES:
 *
 * 1 higher than the highest valid value of #EmpTLSCertificateState.
 */
#define NUM_EMP_TLS_CERTIFICATE_STATES (2+1)

/**
 *
EmpTLSCertificateRejectReason:
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_UNKNOWN: <![CDATA[           The certificate has been rejected for another reason           not listed in this enumeration.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_UNTRUSTED: <![CDATA[           The certificate is not trusted.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_EXPIRED: <![CDATA[           The certificate is expired.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_NOT_ACTIVATED: <![CDATA[           The certificate is not active yet.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_FINGERPRINT_MISMATCH: <![CDATA[           The certificate provided does not have the expected           fingerprint.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_HOSTNAME_MISMATCH: <![CDATA[           The hostname certified does not match the provided one.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_SELF_SIGNED: <![CDATA[           The certificate is self-signed.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_REVOKED: <![CDATA[           The certificate has been revoked.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_INSECURE: <![CDATA[           The certificate uses an insecure cipher algorithm, or is           cryptographically weak.         ]]>
 * @EMP_TLS_CERTIFICATE_REJECT_REASON_LIMIT_EXCEEDED: <![CDATA[           The length in bytes of the certificate, or the depth of the           certificate chain exceed the limits imposed by the crypto           library.         ]]>
 *
 * <![CDATA[         Possible reasons to reject a TLS certificate.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    EMP_TLS_CERTIFICATE_REJECT_REASON_UNKNOWN = 0,
    EMP_TLS_CERTIFICATE_REJECT_REASON_UNTRUSTED = 1,
    EMP_TLS_CERTIFICATE_REJECT_REASON_EXPIRED = 2,
    EMP_TLS_CERTIFICATE_REJECT_REASON_NOT_ACTIVATED = 3,
    EMP_TLS_CERTIFICATE_REJECT_REASON_FINGERPRINT_MISMATCH = 4,
    EMP_TLS_CERTIFICATE_REJECT_REASON_HOSTNAME_MISMATCH = 5,
    EMP_TLS_CERTIFICATE_REJECT_REASON_SELF_SIGNED = 6,
    EMP_TLS_CERTIFICATE_REJECT_REASON_REVOKED = 7,
    EMP_TLS_CERTIFICATE_REJECT_REASON_INSECURE = 8,
    EMP_TLS_CERTIFICATE_REJECT_REASON_LIMIT_EXCEEDED = 9,
} EmpTLSCertificateRejectReason;

/**
 * NUM_EMP_TLS_CERTIFICATE_REJECT_REASONS:
 *
 * 1 higher than the highest valid value of #EmpTLSCertificateRejectReason.
 */
#define NUM_EMP_TLS_CERTIFICATE_REJECT_REASONS (9+1)


#ifdef __cplusplus
}
#endif
